import ColorBox from '@inject/shared/components/ColorBox'
import type { FC } from 'react'

interface TeamLabelProps {
  hideLabel?: boolean
  teamId: string
  teamName: string
}

const TeamLabel: FC<TeamLabelProps> = ({ hideLabel, teamId, teamName }) => (
  <div
    style={{
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      gap: '0.5rem',
    }}
  >
    {!hideLabel && <h3 style={{ fontSize: '1rem', margin: 0 }}>{teamName}</h3>}
    <ColorBox id={Number(teamId)} title={teamName} />
  </div>
)

export default TeamLabel
