import { useIdentity } from '../queries/Identity.generated'

export const useAuthIdentity = () => {
  const { data, loading } = useIdentity({
    skip: !!import.meta.env.VITE_NOAUTH,
  })

  if (import.meta.env.VITE_NOAUTH) {
    return {
      isActive: true,
      isStaff: true,
      isSuperuser: true,
      isLogged: true,
      loading: false,
    }
  }

  return {
    isActive: data?.whoAmI?.isActive ?? false,
    isStaff: data?.whoAmI?.isStaff ?? false,
    isSuperuser: data?.whoAmI?.isSuperuser ?? false,
    isLogged: !!data?.whoAmI,
    loading,
  }
}

export default useAuthIdentity
